## imcode.server.parser
Class TextDocumentParser

    java.lang.Object
      imcode.server.parser.TextDocumentParser

    public class TextDocumentParser

extends java.lang.Object

Constructor Summary
`TextDocumentParser(ImcmsServices service)`

Method Summary
`static java.lang.String` `createChangeTemplateUi(boolean templatemode, UserDomainObject user, TextDocumentDomainObject document, ImcmsServices service)`
`void` `parsePage(ParserParameters paramsToParse, java.io.Writer out)`
`void` `untimedParsePage(ParserParameters parserParameters, java.io.Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextDocumentParser

    public TextDocumentParser(ImcmsServices service)

Method Detail

### parsePage

    public void parsePage(ParserParameters paramsToParse,
                          java.io.Writer out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### untimedParsePage

    public void untimedParsePage(ParserParameters parserParameters,
                                 java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### createChangeTemplateUi

    public static java.lang.String createChangeTemplateUi(boolean templatemode,
                                                          UserDomainObject user,
                                                          TextDocumentDomainObject document,
                                                          ImcmsServices service)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`